/*
 *  Player - One Hell of a Robot Server
 *  Copyright (C) 2000
 *     Brian Gerkey, Kasper Stoy, Richard Vaughan, & Andrew Howard
 *                   
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA
 *
 */

/* 
 * robot_params.cc 
 *
 * ActivMedia robot parameters, automatically generated by saphconv.tcl from 
 * Saphira parameter files:
 *    Aria-2.7.3/params/amigo-sh.p
 *    Aria-2.7.3/params/amigo.p
 *    Aria-2.7.3/params/p2at.p
 *    Aria-2.7.3/params/p2at8+.p
 *    Aria-2.7.3/params/p2at8.p
 *    Aria-2.7.3/params/p2ce.p
 *    Aria-2.7.3/params/p2d8+.p
 *    Aria-2.7.3/params/p2d8.p
 *    Aria-2.7.3/params/p2de.p
 *    Aria-2.7.3/params/p2df.p
 *    Aria-2.7.3/params/p2dx.p
 *    Aria-2.7.3/params/p2it.p
 *    Aria-2.7.3/params/p2pb.p
 *    Aria-2.7.3/params/p2pp.p
 *    Aria-2.7.3/params/p3at-sh.p
 *    Aria-2.7.3/params/p3at.p
 *    Aria-2.7.3/params/p3atiw-sh.p
 *    Aria-2.7.3/params/p3dx-sh.p
 *    Aria-2.7.3/params/p3dx.p
 *    Aria-2.7.3/params/patrolbot-sh.p
 *    Aria-2.7.3/params/peoplebot-sh.p
 *    Aria-2.7.3/params/perfpb+.p
 *    Aria-2.7.3/params/perfpb.p
 *    Aria-2.7.3/params/pion1m.p
 *    Aria-2.7.3/params/pion1x.p
 *    Aria-2.7.3/params/pionat.p
 *    Aria-2.7.3/params/powerbot-sh-uarcs.p
 *    Aria-2.7.3/params/powerbot-sh.p
 *    Aria-2.7.3/params/powerbot.p
 *    Aria-2.7.3/params/psos1m.p
 *    Aria-2.7.3/params/psos1x.p
 *    Aria-2.7.3/params/psos43m.p
 *    Aria-2.7.3/params/researchPB.p
 *    Aria-2.7.3/params/seekur.p
 *    Aria-2.7.3/params/seekurjr.p
 *    Aria-2.7.3/params/wheelchair-sh.p
*/
#include "robot_params.h"


RobotParams_t amigo_sh_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.011, // DiffConvFactor
  1, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  300, // MaxRVelocity
  1000, // MaxVelocity
  0, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  1, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  120, // RobotDiagonal
  330, // RobotLength
  160, // RobotLengthFront
  170, // RobotLengthRear
  180, // RobotRadius
  279, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  8, // SonarNum
  "amigo-sh", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 70, 100, 90 },
    { 125, 75, 41 },
    { 144, 30, 15 },
    { 144, -30, -15 },
    { 120, -75, -41 },
    { 70, -100, -90 },
    { -146, -58, -145 },
    { -146, 58, 145 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t amigo_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.011, // DiffConvFactor
  0.5083, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  300, // MaxRVelocity
  1000, // MaxVelocity
  0, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  1, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  120, // RobotDiagonal
  330, // RobotLength
  160, // RobotLengthFront
  170, // RobotLengthRear
  180, // RobotRadius
  279, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  8, // SonarNum
  "amigo", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  0.6154, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 76, 100, 90 },
    { 125, 75, 41 },
    { 150, 30, 15 },
    { 150, -30, -15 },
    { 125, -75, -41 },
    { 76, -100, -90 },
    { -140, -58, -145 },
    { -140, 58, 145 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2at_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.0034, // DiffConvFactor
  1.32, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  300, // MaxRVelocity
  1200, // MaxVelocity
  0, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  0.268, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  120, // RobotDiagonal
  626, // RobotLength
  313, // RobotLengthFront
  313, // RobotLengthRear
  500, // RobotRadius
  505, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  16, // SonarNum
  "p2at", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 147, 136, 90 },
    { 193, 119, 50 },
    { 227, 79, 30 },
    { 245, 27, 10 },
    { 245, -27, -10 },
    { 227, -79, -30 },
    { 193, -119, -50 },
    { 147, -136, -90 },
    { -144, -136, -90 },
    { -189, -119, -130 },
    { -223, -79, -150 },
    { -241, -27, -170 },
    { -241, 27, 170 },
    { -223, 79, 150 },
    { -189, 119, 130 },
    { -144, 136, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2at8plus_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.0034, // DiffConvFactor
  0.465, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  300, // MaxRVelocity
  1200, // MaxVelocity
  0, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  1, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  120, // RobotDiagonal
  626, // RobotLength
  313, // RobotLengthFront
  313, // RobotLengthRear
  500, // RobotRadius
  505, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  16, // SonarNum
  "p2at8+", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 147, 136, 90 },
    { 193, 119, 50 },
    { 227, 79, 30 },
    { 245, 27, 10 },
    { 245, -27, -10 },
    { 227, -79, -30 },
    { 193, -119, -50 },
    { 147, -136, -90 },
    { -144, -136, -90 },
    { -189, -119, -130 },
    { -223, -79, -150 },
    { -241, -27, -170 },
    { -241, 27, 170 },
    { -223, 79, 150 },
    { -189, 119, 130 },
    { -144, 136, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2at8_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.0034, // DiffConvFactor
  1.32, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  300, // MaxRVelocity
  1200, // MaxVelocity
  0, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  1, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  120, // RobotDiagonal
  626, // RobotLength
  313, // RobotLengthFront
  313, // RobotLengthRear
  500, // RobotRadius
  505, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  16, // SonarNum
  "p2at8", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 147, 136, 90 },
    { 193, 119, 50 },
    { 227, 79, 30 },
    { 245, 27, 10 },
    { 245, -27, -10 },
    { 227, -79, -30 },
    { 193, -119, -50 },
    { 147, -136, -90 },
    { -144, -136, -90 },
    { -189, -119, -130 },
    { -223, -79, -150 },
    { -241, -27, -170 },
    { -241, 27, 170 },
    { -223, 79, 150 },
    { -189, 119, 130 },
    { -144, 136, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2ce_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.0057, // DiffConvFactor
  0.826, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  500, // MaxRVelocity
  2200, // MaxVelocity
  0, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  0.268, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  120, // RobotDiagonal
  511, // RobotLength
  210, // RobotLengthFront
  301, // RobotLengthRear
  250, // RobotRadius
  425, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  16, // SonarNum
  "p2ce", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2d8plus_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.0056, // DiffConvFactor
  0.485, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  500, // MaxRVelocity
  2200, // MaxVelocity
  0, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  1, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  120, // RobotDiagonal
  511, // RobotLength
  210, // RobotLengthFront
  301, // RobotLengthRear
  250, // RobotRadius
  425, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  16, // SonarNum
  "p2d8+", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2d8_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.0056, // DiffConvFactor
  0.485, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  500, // MaxRVelocity
  2200, // MaxVelocity
  0, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  1, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  120, // RobotDiagonal
  511, // RobotLength
  210, // RobotLengthFront
  301, // RobotLengthRear
  250, // RobotRadius
  425, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  16, // SonarNum
  "p2d8", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2de_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.0056, // DiffConvFactor
  0.969, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  500, // MaxRVelocity
  2200, // MaxVelocity
  0, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  0.268, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  120, // RobotDiagonal
  511, // RobotLength
  210, // RobotLengthFront
  301, // RobotLengthRear
  250, // RobotRadius
  425, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  16, // SonarNum
  "p2de", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2df_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.006, // DiffConvFactor
  0.485, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  500, // MaxRVelocity
  2200, // MaxVelocity
  0, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  0.268, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  120, // RobotDiagonal
  511, // RobotLength
  210, // RobotLengthFront
  301, // RobotLengthRear
  250, // RobotRadius
  425, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  16, // SonarNum
  "p2df", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2dx_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.0056, // DiffConvFactor
  0.84, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  500, // MaxRVelocity
  2200, // MaxVelocity
  0, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  0.268, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  120, // RobotDiagonal
  511, // RobotLength
  210, // RobotLengthFront
  301, // RobotLengthRear
  250, // RobotRadius
  425, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  16, // SonarNum
  "p2dx", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2it_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.0032, // DiffConvFactor
  1.136, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  300, // MaxRVelocity
  1200, // MaxVelocity
  0, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  0.268, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  120, // RobotDiagonal
  626, // RobotLength
  313, // RobotLengthFront
  313, // RobotLengthRear
  500, // RobotRadius
  505, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  16, // SonarNum
  "p2it", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 147, 136, 90 },
    { 193, 119, 50 },
    { 227, 79, 30 },
    { 245, 27, 10 },
    { 245, -27, -10 },
    { 227, -79, -30 },
    { 193, -119, -50 },
    { 147, -136, -90 },
    { -144, -136, -90 },
    { -189, -119, -130 },
    { -223, -79, -150 },
    { -241, -27, -170 },
    { -241, 27, 170 },
    { -223, 79, 150 },
    { -189, 119, 130 },
    { -144, 136, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2pb_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.0056, // DiffConvFactor
  0.424, // DistConvFactor
  1, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  500, // MaxRVelocity
  2200, // MaxVelocity
  0, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  0.268, // RangeConvFactor
  1, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  120, // RobotDiagonal
  513, // RobotLength
  0, // RobotLengthFront
  0, // RobotLengthRear
  300, // RobotRadius
  425, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  24, // SonarNum
  "p2pb", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -20, 136, 90 },
    { 24, 119, 50 },
    { 58, 78, 30 },
    { 77, 27, 10 },
    { 77, -27, -10 },
    { 58, -78, -30 },
    { 24, -119, -50 },
    { -20, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2pp_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.006, // DiffConvFactor
  0.485, // DistConvFactor
  1, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  500, // MaxRVelocity
  2200, // MaxVelocity
  0, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  0.268, // RangeConvFactor
  1, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  120, // RobotDiagonal
  513, // RobotLength
  0, // RobotLengthFront
  0, // RobotLengthRear
  300, // RobotRadius
  425, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  24, // SonarNum
  "p2pp", // Subclass
  38400, // SwitchToBaudRate
  1, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -20, 136, 90 },
    { 24, 119, 50 },
    { 58, 78, 30 },
    { 77, 27, 10 },
    { 77, -27, -10 },
    { 58, -78, -30 },
    { 24, -119, -50 },
    { -20, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p3at_sh_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.0034, // DiffConvFactor
  1, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  -160, // GPSPX
  120, // GPSPY
  "COM2", // GPSPort
  "novatel", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  300, // MaxRVelocity
  1200, // MaxVelocity
  0, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  1, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  120, // RobotDiagonal
  626, // RobotLength
  313, // RobotLengthFront
  313, // RobotLengthRear
  500, // RobotRadius
  505, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  16, // SonarNum
  "p3at-sh", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 147, 136, 90 },
    { 193, 119, 50 },
    { 227, 79, 30 },
    { 245, 27, 10 },
    { 245, -27, -10 },
    { 227, -79, -30 },
    { 193, -119, -50 },
    { 147, -136, -90 },
    { -144, -136, -90 },
    { -189, -119, -130 },
    { -223, -79, -150 },
    { -241, -27, -170 },
    { -241, 27, 170 },
    { -223, 79, 150 },
    { -189, 119, 130 },
    { -144, 136, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p3at_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.0034, // DiffConvFactor
  0.465, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  -160, // GPSPX
  120, // GPSPY
  "COM2", // GPSPort
  "novatel", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  300, // MaxRVelocity
  1200, // MaxVelocity
  0, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  1, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  120, // RobotDiagonal
  626, // RobotLength
  313, // RobotLengthFront
  313, // RobotLengthRear
  500, // RobotRadius
  505, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  16, // SonarNum
  "p3at", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 147, 136, 90 },
    { 193, 119, 50 },
    { 227, 79, 30 },
    { 245, 27, 10 },
    { 245, -27, -10 },
    { 227, -79, -30 },
    { 193, -119, -50 },
    { 147, -136, -90 },
    { -144, -136, -90 },
    { -189, -119, -130 },
    { -223, -79, -150 },
    { -241, -27, -170 },
    { -241, 27, 170 },
    { -223, 79, 150 },
    { -189, 119, 130 },
    { -144, 136, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p3atiw_sh_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.0034, // DiffConvFactor
  1, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  -160, // GPSPX
  120, // GPSPY
  "COM2", // GPSPort
  "novatel", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  300, // MaxRVelocity
  1200, // MaxVelocity
  0, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  1, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  120, // RobotDiagonal
  626, // RobotLength
  313, // RobotLengthFront
  313, // RobotLengthRear
  500, // RobotRadius
  490, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  16, // SonarNum
  "p3atiw-sh", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 147, 136, 90 },
    { 193, 119, 50 },
    { 227, 79, 30 },
    { 245, 27, 10 },
    { 245, -27, -10 },
    { 227, -79, -30 },
    { 193, -119, -50 },
    { 147, -136, -90 },
    { -144, -136, -90 },
    { -189, -119, -130 },
    { -223, -79, -150 },
    { -241, -27, -170 },
    { -241, 27, 170 },
    { -223, 79, 150 },
    { -189, 119, 130 },
    { -144, 136, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p3dx_sh_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.0056, // DiffConvFactor
  1, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  -160, // GPSPX
  120, // GPSPY
  "COM2", // GPSPort
  "novatel", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  500, // MaxRVelocity
  2200, // MaxVelocity
  0, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  1, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  120, // RobotDiagonal
  511, // RobotLength
  210, // RobotLengthFront
  301, // RobotLengthRear
  250, // RobotRadius
  425, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  16, // SonarNum
  "p3dx-sh", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p3dx_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.0056, // DiffConvFactor
  0.485, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  500, // MaxRVelocity
  2200, // MaxVelocity
  0, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  1, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  120, // RobotDiagonal
  511, // RobotLength
  210, // RobotLengthFront
  301, // RobotLengthRear
  250, // RobotRadius
  425, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  16, // SonarNum
  "p3dx", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t patrolbot_sh_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.0056, // DiffConvFactor
  1, // DistConvFactor
  1, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  500, // MaxRVelocity
  2200, // MaxVelocity
  0, // NewTableSensingIR
  6, // NumFrontBumpers
  6, // NumRearBumpers
  1, // RangeConvFactor
  1, // RearBumpers
  0, // RequestEncoderPackets
  1, // RequestIOPackets
  120, // RobotDiagonal
  510, // RobotLength
  255, // RobotLengthFront
  255, // RobotLengthRear
  250, // RobotRadius
  425, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  16, // SonarNum
  "patrolbot-sh", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 83, 229, 90 },
    { 169, 202, 55 },
    { 232, 134, 30 },
    { 263, 46, 10 },
    { 263, -46, -10 },
    { 232, -134, -30 },
    { 169, -202, -55 },
    { 83, -229, -90 },
    { -83, -229, -90 },
    { -169, -202, -125 },
    { -232, -134, -150 },
    { -263, -46, -170 },
    { -263, 46, 170 },
    { -232, 134, 150 },
    { -169, 202, 125 },
    { -83, 229, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t peoplebot_sh_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.006, // DiffConvFactor
  1, // DistConvFactor
  1, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  4, // IRNum
  3, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  500, // MaxRVelocity
  2200, // MaxVelocity
  1, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  1, // RangeConvFactor
  1, // RearBumpers
  0, // RequestEncoderPackets
  1, // RequestIOPackets
  120, // RobotDiagonal
  513, // RobotLength
  0, // RobotLengthFront
  0, // RobotLengthRear
  340, // RobotRadius
  425, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  32, // SonarNum
  "peoplebot-sh", // Subclass
  38400, // SwitchToBaudRate
  1, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
    { -20, 136, 90 },
    { 24, 119, 50 },
    { 58, 78, 30 },
    { 77, 27, 10 },
    { 77, -27, -10 },
    { 58, -78, -30 },
    { 24, -119, -50 },
    { -20, -136, -90 },
    { -191, -136, -90 },
    { -237, -119, -130 },
    { -271, -78, -150 },
    { -290, -27, -170 },
    { -290, 27, 170 },
    { -271, 78, 150 },
    { -237, 119, 130 },
    { -191, 136, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t perfpbplus_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.006, // DiffConvFactor
  0.485, // DistConvFactor
  1, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  4, // IRNum
  3, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  500, // MaxRVelocity
  2200, // MaxVelocity
  1, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  1, // RangeConvFactor
  1, // RearBumpers
  0, // RequestEncoderPackets
  1, // RequestIOPackets
  120, // RobotDiagonal
  511, // RobotLength
  210, // RobotLengthFront
  301, // RobotLengthRear
  340, // RobotRadius
  425, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  32, // SonarNum
  "perfpb+", // Subclass
  38400, // SwitchToBaudRate
  1, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -20, 136, 90 },
    { 24, 119, 50 },
    { 58, 78, 30 },
    { 77, 27, 10 },
    { 77, -27, -10 },
    { 58, -78, -30 },
    { 24, -119, -50 },
    { -20, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
    { -191, -136, -90 },
    { -237, -119, -130 },
    { -271, -78, -150 },
    { -290, -27, -170 },
    { -290, 27, 170 },
    { -271, 78, 150 },
    { -237, 119, 130 },
    { -191, 136, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t perfpb_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.006, // DiffConvFactor
  0.485, // DistConvFactor
  1, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  4, // IRNum
  3, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  500, // MaxRVelocity
  2200, // MaxVelocity
  1, // NewTableSensingIR
  5, // NumFrontBumpers
  5, // NumRearBumpers
  1, // RangeConvFactor
  1, // RearBumpers
  0, // RequestEncoderPackets
  1, // RequestIOPackets
  120, // RobotDiagonal
  513, // RobotLength
  0, // RobotLengthFront
  0, // RobotLengthRear
  340, // RobotRadius
  425, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  32, // SonarNum
  "perfpb", // Subclass
  38400, // SwitchToBaudRate
  1, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -20, 136, 90 },
    { 24, 119, 50 },
    { 58, 78, 30 },
    { 77, 27, 10 },
    { 77, -27, -10 },
    { 58, -78, -30 },
    { 24, -119, -50 },
    { -20, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
    { -191, -136, -90 },
    { -237, -119, -130 },
    { -271, -78, -150 },
    { -290, -27, -170 },
    { -290, 27, 170 },
    { -271, 78, 150 },
    { -237, 119, 130 },
    { -191, 136, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t pion1m_params = 
{
  0.0061359, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.00333333, // DiffConvFactor
  0.05066, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  0, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  100, // MaxRVelocity
  400, // MaxVelocity
  0, // NewTableSensingIR
  0, // NumFrontBumpers
  0, // NumRearBumpers
  0.1734, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  90, // RobotDiagonal
  500, // RobotLength
  0, // RobotLengthFront
  0, // RobotLengthRear
  220, // RobotRadius
  400, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  100, // RotVelMax
  0, // SettableAccsDecs
  1, // SettableVelMaxes
  7, // SonarNum
  "pion1m", // Subclass
  0, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  400, // TransVelMax
  4, // Vel2Divisor
  2.5332, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 100, 100, 90 },
    { 120, 80, 30 },
    { 130, 40, 15 },
    { 130, 0, 0 },
    { 130, -40, -15 },
    { 120, -80, -30 },
    { 100, -100, -90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t pion1x_params = 
{
  0.0061359, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.00333333, // DiffConvFactor
  0.05066, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  0, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  100, // MaxRVelocity
  400, // MaxVelocity
  0, // NewTableSensingIR
  0, // NumFrontBumpers
  0, // NumRearBumpers
  0.1734, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  90, // RobotDiagonal
  500, // RobotLength
  0, // RobotLengthFront
  0, // RobotLengthRear
  220, // RobotRadius
  400, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  100, // RotVelMax
  0, // SettableAccsDecs
  1, // SettableVelMaxes
  7, // SonarNum
  "pion1x", // Subclass
  0, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  400, // TransVelMax
  4, // Vel2Divisor
  2.5332, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 100, 100, 90 },
    { 120, 80, 30 },
    { 130, 40, 15 },
    { 130, 0, 0 },
    { 130, -40, -15 },
    { 120, -80, -30 },
    { 100, -100, -90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t pionat_params = 
{
  0.0061359, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.00333333, // DiffConvFactor
  0.07, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  0, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  100, // MaxRVelocity
  500, // MaxVelocity
  0, // NewTableSensingIR
  0, // NumFrontBumpers
  0, // NumRearBumpers
  0.1734, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  120, // RobotDiagonal
  500, // RobotLength
  0, // RobotLengthFront
  0, // RobotLengthRear
  330, // RobotRadius
  400, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  100, // RotVelMax
  0, // SettableAccsDecs
  1, // SettableVelMaxes
  7, // SonarNum
  "pionat", // Subclass
  0, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  400, // TransVelMax
  4, // Vel2Divisor
  2.5332, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 100, 100, 90 },
    { 120, 80, 30 },
    { 130, 40, 15 },
    { 130, 0, 0 },
    { 130, -40, -15 },
    { 120, -80, -30 },
    { 100, -100, -90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t powerbot_sh_uarcs_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.00373, // DiffConvFactor
  1, // DistConvFactor
  1, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM3", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  360, // MaxRVelocity
  2000, // MaxVelocity
  0, // NewTableSensingIR
  7, // NumFrontBumpers
  5, // NumRearBumpers
  1, // RangeConvFactor
  1, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  240, // RobotDiagonal
  911, // RobotLength
  369, // RobotLengthFront
  542, // RobotLengthRear
  550, // RobotRadius
  680, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  16, // SonarNum
  "powerbot-sh-uarcs", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { -298, -278, -90 },
    { -347, -267, -115 },
    { -388, -238, -135 },
    { -420, -200, -145 },
    { -447, -153, -155 },
    { -467, -96, -165 },
    { -478, -33, -175 },
    { 0, 0, -180 },
    { -478, 33, 175 },
    { -467, 96, 165 },
    { -447, 153, 155 },
    { -420, 200, 145 },
    { -388, 238, 135 },
    { -347, 267, 115 },
    { -298, 278, 90 },
    { 0, 0, -180 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t powerbot_sh_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.00373, // DiffConvFactor
  1, // DistConvFactor
  1, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM3", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  360, // MaxRVelocity
  2000, // MaxVelocity
  0, // NewTableSensingIR
  7, // NumFrontBumpers
  5, // NumRearBumpers
  1, // RangeConvFactor
  1, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  240, // RobotDiagonal
  911, // RobotLength
  369, // RobotLengthFront
  542, // RobotLengthRear
  550, // RobotRadius
  680, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  32, // SonarNum
  "powerbot-sh", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 152, 278, 90 },
    { 200, 267, 65 },
    { 241, 238, 45 },
    { 274, 200, 35 },
    { 300, 153, 25 },
    { 320, 96, 15 },
    { 332, 33, 5 },
    { 0, 0, -180 },
    { 332, -33, -5 },
    { 320, -96, -15 },
    { 300, -153, -25 },
    { 274, -200, -35 },
    { 241, -238, -45 },
    { 200, -267, -65 },
    { 152, -278, -90 },
    { 0, 0, -180 },
    { -298, -278, -90 },
    { -347, -267, -115 },
    { -388, -238, -135 },
    { -420, -200, -145 },
    { -447, -153, -155 },
    { -467, -96, -165 },
    { -478, -33, -175 },
    { 0, 0, -180 },
    { -478, 33, 175 },
    { -467, 96, 165 },
    { -447, 153, 155 },
    { -420, 200, 145 },
    { -388, 238, 135 },
    { -347, 267, 115 },
    { -298, 278, 90 },
    { 0, 0, -180 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t powerbot_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.00373, // DiffConvFactor
  0.5813, // DistConvFactor
  1, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM3", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  360, // MaxRVelocity
  2000, // MaxVelocity
  0, // NewTableSensingIR
  7, // NumFrontBumpers
  5, // NumRearBumpers
  1, // RangeConvFactor
  1, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  240, // RobotDiagonal
  911, // RobotLength
  369, // RobotLengthFront
  542, // RobotLengthRear
  550, // RobotRadius
  680, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  32, // SonarNum
  "powerbot", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 152, 278, 90 },
    { 200, 267, 65 },
    { 241, 238, 45 },
    { 274, 200, 35 },
    { 300, 153, 25 },
    { 320, 96, 15 },
    { 332, 33, 5 },
    { 0, 0, -180 },
    { 332, -33, -5 },
    { 320, -96, -15 },
    { 300, -153, -25 },
    { 274, -200, -35 },
    { 241, -238, -45 },
    { 200, -267, -65 },
    { 152, -278, -90 },
    { 0, 0, -180 },
    { -298, -278, -90 },
    { -347, -267, -115 },
    { -388, -238, -135 },
    { -420, -200, -145 },
    { -447, -153, -155 },
    { -467, -96, -165 },
    { -478, -33, -175 },
    { 0, 0, -180 },
    { -478, 33, 175 },
    { -467, 96, 165 },
    { -447, 153, 155 },
    { -420, 200, 145 },
    { -388, 238, 135 },
    { -347, 267, 115 },
    { -298, 278, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t psos1m_params = 
{
  0.0061359, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.00333333, // DiffConvFactor
  0.05066, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  0, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  100, // MaxRVelocity
  400, // MaxVelocity
  0, // NewTableSensingIR
  0, // NumFrontBumpers
  0, // NumRearBumpers
  0.1734, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  90, // RobotDiagonal
  500, // RobotLength
  0, // RobotLengthFront
  0, // RobotLengthRear
  220, // RobotRadius
  400, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  100, // RotVelMax
  0, // SettableAccsDecs
  1, // SettableVelMaxes
  7, // SonarNum
  "psos1m", // Subclass
  0, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  400, // TransVelMax
  4, // Vel2Divisor
  2.5332, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 100, 100, 90 },
    { 120, 80, 30 },
    { 130, 40, 15 },
    { 130, 0, 0 },
    { 130, -40, -15 },
    { 120, -80, -30 },
    { 100, -100, -90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t psos1x_params = 
{
  0.0061359, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.00333333, // DiffConvFactor
  0.05066, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  0, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  100, // MaxRVelocity
  400, // MaxVelocity
  0, // NewTableSensingIR
  0, // NumFrontBumpers
  0, // NumRearBumpers
  0.1734, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  90, // RobotDiagonal
  500, // RobotLength
  0, // RobotLengthFront
  0, // RobotLengthRear
  220, // RobotRadius
  400, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  100, // RotVelMax
  0, // SettableAccsDecs
  1, // SettableVelMaxes
  7, // SonarNum
  "psos1x", // Subclass
  0, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  400, // TransVelMax
  4, // Vel2Divisor
  2.5332, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 100, 100, 90 },
    { 120, 80, 30 },
    { 130, 40, 15 },
    { 130, 0, 0 },
    { 130, -40, -15 },
    { 120, -80, -30 },
    { 100, -100, -90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t psos43m_params = 
{
  0.0061359, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.00333333, // DiffConvFactor
  0.05066, // DistConvFactor
  0, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  0, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  100, // MaxRVelocity
  400, // MaxVelocity
  0, // NewTableSensingIR
  0, // NumFrontBumpers
  0, // NumRearBumpers
  0.1734, // RangeConvFactor
  0, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  90, // RobotDiagonal
  500, // RobotLength
  0, // RobotLengthFront
  0, // RobotLengthRear
  220, // RobotRadius
  400, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  100, // RotVelMax
  0, // SettableAccsDecs
  1, // SettableVelMaxes
  7, // SonarNum
  "psos43m", // Subclass
  0, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  400, // TransVelMax
  4, // Vel2Divisor
  2.5332, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 100, 100, 90 },
    { 120, 80, 30 },
    { 130, 40, 15 },
    { 130, 0, 0 },
    { 130, -40, -15 },
    { 120, -80, -30 },
    { 100, -100, -90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t researchPB_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.0056, // DiffConvFactor
  1, // DistConvFactor
  1, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  500, // MaxRVelocity
  2200, // MaxVelocity
  0, // NewTableSensingIR
  6, // NumFrontBumpers
  6, // NumRearBumpers
  1, // RangeConvFactor
  1, // RearBumpers
  0, // RequestEncoderPackets
  1, // RequestIOPackets
  120, // RobotDiagonal
  510, // RobotLength
  255, // RobotLengthFront
  255, // RobotLengthRear
  250, // RobotRadius
  425, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  16, // SonarNum
  "researchPB", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
    { 83, 229, 90 },
    { 169, 202, 55 },
    { 232, 134, 30 },
    { 263, 46, 10 },
    { 263, -46, -10 },
    { 232, -134, -30 },
    { 169, -202, -55 },
    { 83, -229, -90 },
    { -83, -229, -90 },
    { -169, -202, -125 },
    { -232, -134, -150 },
    { -263, -46, -170 },
    { -263, 46, 170 },
    { -232, 134, 150 },
    { -169, 202, 125 },
    { -83, 229, 90 },
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t seekur_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.0056, // DiffConvFactor
  1, // DistConvFactor
  1, // FrontBumpers
  38400, // GPSBaud
  -200, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "trimble", // GPSType
  1.626, // GyroScaler
  1, // HasLatVel
  0, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  2200, // MaxLatVelocity
  190, // MaxRVelocity
  2200, // MaxVelocity
  0, // NewTableSensingIR
  5, // NumFrontBumpers
  3, // NumRearBumpers
  1, // RangeConvFactor
  1, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  400, // RobotDiagonal
  1410, // RobotLength
  0, // RobotLengthFront
  0, // RobotLengthRear
  833, // RobotRadius
  1270, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  0, // SonarNum
  "seekur", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t seekurjr_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.0056, // DiffConvFactor
  1, // DistConvFactor
  1, // FrontBumpers
  38400, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM2", // GPSPort
  "trimble", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  0, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  80, // MaxRVelocity
  1200, // MaxVelocity
  0, // NewTableSensingIR
  4, // NumFrontBumpers
  4, // NumRearBumpers
  1, // RangeConvFactor
  1, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  600, // RobotDiagonal
  1200, // RobotLength
  0, // RobotLengthFront
  0, // RobotLengthRear
  600, // RobotRadius
  830, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  1, // SettableVelMaxes
  0, // SonarNum
  "seekurjr", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t wheelchair_sh_params = 
{
  0.001534, // AngleConvFactor
  "Pioneer", // Class
  "", // CompassPort
  "robot", // CompassType
  0.00373, // DiffConvFactor
  1, // DistConvFactor
  1, // FrontBumpers
  9600, // GPSBaud
  0, // GPSPX
  0, // GPSPY
  "COM3", // GPSPort
  "standard", // GPSType
  1.626, // GyroScaler
  0, // HasLatVel
  1, // HasMoveCommand
  1, // Holonomic
  0, // IRNum
  0, // IRUnit
  0, // LaserAutoBaudChoice
  0, // LaserAutoConnect
  0, // LaserCumulativeBufferSize
  0, // LaserDegreesChoice
  0, // LaserEndDegrees
  0, // LaserFlipped
  "", // LaserIgnore
  0, // LaserIncrement
  0, // LaserIncrementChoice
  0, // LaserMaxRange
  "", // LaserPort
  "", // LaserPortType
  1, // LaserPowerControlled
  0, // LaserReflectorBitsChoice
  0, // LaserStartDegrees
  0, // LaserStartingBaudChoice
  0, // LaserTh
  "", // LaserType
  "", // LaserUnitsChoice
  0, // LaserX
  0, // LaserY
  0, // LaserZ
  0, // LatAccel
  0, // LatDecel
  0, // LatVelMax
  0, // MaxLatVelocity
  360, // MaxRVelocity
  2000, // MaxVelocity
  0, // NewTableSensingIR
  4, // NumFrontBumpers
  3, // NumRearBumpers
  1, // RangeConvFactor
  1, // RearBumpers
  0, // RequestEncoderPackets
  0, // RequestIOPackets
  300, // RobotDiagonal
  1340, // RobotLength
  0, // RobotLengthFront
  0, // RobotLengthRear
  550, // RobotRadius
  680, // RobotWidth
  0, // RotAccel
  0, // RotDecel
  0, // RotVelMax
  1, // SettableAccsDecs
  0, // SettableVelMaxes
  0, // SonarNum
  "wheelchair-sh", // Subclass
  38400, // SwitchToBaudRate
  0, // TableSensingIR
  0, // TransAccel
  0, // TransDecel
  0, // TransVelMax
  20, // Vel2Divisor
  1, // VelConvFactor
  // sonar_pose (from SonarUnit param):
  {
  },
  // bumper geom:
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t PlayerRobotParams[PLAYER_NUM_ROBOT_TYPES];

void
initialize_robot_params(void)
{
  PlayerRobotParams[0] =  amigo_sh_params;
  PlayerRobotParams[1] =  amigo_params;
  PlayerRobotParams[2] =  p2at_params;
  PlayerRobotParams[3] =  p2at8plus_params;
  PlayerRobotParams[4] =  p2at8_params;
  PlayerRobotParams[5] =  p2ce_params;
  PlayerRobotParams[6] =  p2d8plus_params;
  PlayerRobotParams[7] =  p2d8_params;
  PlayerRobotParams[8] =  p2de_params;
  PlayerRobotParams[9] =  p2df_params;
  PlayerRobotParams[10] =  p2dx_params;
  PlayerRobotParams[11] =  p2it_params;
  PlayerRobotParams[12] =  p2pb_params;
  PlayerRobotParams[13] =  p2pp_params;
  PlayerRobotParams[14] =  p3at_sh_params;
  PlayerRobotParams[15] =  p3at_params;
  PlayerRobotParams[16] =  p3atiw_sh_params;
  PlayerRobotParams[17] =  p3dx_sh_params;
  PlayerRobotParams[18] =  p3dx_params;
  PlayerRobotParams[19] =  patrolbot_sh_params;
  PlayerRobotParams[20] =  peoplebot_sh_params;
  PlayerRobotParams[21] =  perfpbplus_params;
  PlayerRobotParams[22] =  perfpb_params;
  PlayerRobotParams[23] =  pion1m_params;
  PlayerRobotParams[24] =  pion1x_params;
  PlayerRobotParams[25] =  pionat_params;
  PlayerRobotParams[26] =  powerbot_sh_uarcs_params;
  PlayerRobotParams[27] =  powerbot_sh_params;
  PlayerRobotParams[28] =  powerbot_params;
  PlayerRobotParams[29] =  psos1m_params;
  PlayerRobotParams[30] =  psos1x_params;
  PlayerRobotParams[31] =  psos43m_params;
  PlayerRobotParams[32] =  researchPB_params;
  PlayerRobotParams[33] =  seekur_params;
  PlayerRobotParams[34] =  seekurjr_params;
  PlayerRobotParams[35] =  wheelchair_sh_params;
}
